package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ValueMapper;
import com.ruoyi.system.domain.Value;
import com.ruoyi.system.service.IValueService;

@Service
public class ValueServiceImpl implements IValueService
{
    @Autowired
    private ValueMapper valueMapper;

    @Override
    public Value selectValueById(Long valueId)
    {
        return valueMapper.selectValueById(valueId);
    }

    @Override
    public List<Value> selectValueList(Value value)
    {
        return valueMapper.selectValueList(value);
    }

    @Override
    public int insertValue(Value value)
    {
        return valueMapper.insertValue(value);
    }

    @Override
    public int updateValue(Value value)
    {
        return valueMapper.updateValue(value);
    }

    @Override
    public int deleteValueById(Long valueId)
    {
        return valueMapper.deleteValueById(valueId);
    }

    @Override
    public int deleteValueByIds(Long[] valueIds)
    {
        return valueMapper.deleteValueByIds(valueIds);
    }
}
